
/* MOTEUR DE RECHERCHE HORIZONTAL
================================================== */

/********** Structure du moteur **********/

.rech_custom_post.template-rech-voyage { flex-direction:column; gap:30px; }
.rech_custom_post.template-rech-voyage .search_nav { flex-direction:column; }


/* RÉSULTATS
================================================== */

.resultats { display:flex; column-gap:2em; }

/********** Résultats sur la map **********/

.left_col { display:none; }

.map_container { position:sticky; top:2em; }
.map_container .rcp_map { height:calc(100vh - 4em ); }
.left_col:has( > .map_container) { display:block; flex:1; }


/********** Résultats en ligne **********/

.right_col { flex:2; }

/* Pagination */
.rech_pagination { text-align:center; margin-left: auto; margin-right: auto; }

/* Voir plus de résultats */
.more_results { clear: both; }
.more_results_btn_wrapper { text-align:center; }


@media (max-width:768px) {
	
	.rech_custom_post .search_nav .search_form { flex-direction:column; row-gap:.5em; }
	.resultats { flex-direction: column; }
	.map_container .rcp_map { height:50vh; }

}



